package com.engine.organization.entity.post.param;

import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;

/**
 * @description: TODO
 * @author:dxfeng
 * @createTime: 2022/05/13
 * @version: 1.0
 */
@Data
@Builder
@NoArgsConstructor
@AllArgsConstructor
public class PostInfoSearchParam {
    /**
     * 主键
     */
    private Long id;
    /**
     * 编号
     */
    private String postInfoNo;
    /**
     * 名称
     */
    private String postInfoName;
    /**
     * 权限
     */
    private String postInfoAuthority;
    /**
     * 责任
     */
    private String postInfoDuty;
    /**
     * 资格
     */
    private String postInfoQualification;
    /**
     * 职务分类
     */
    private Integer postId;
    /**
     * 说明
     */
    private String description;
    /**
     * 禁用标记
     */
    private Boolean forbiddenTag;
}
