package com.engine.organization.entity.scheme.po;

import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;

import java.util.Date;

@Data
@Builder
@NoArgsConstructor
@AllArgsConstructor
public class SchemePO {
    /**
     *自增主键
     */
    private long id;
    /**
     *编号
     */
    private String schemeNo;
    /**
     *方案名称
     */
    private String schemeName;
    /**
     *方案说明
     */
    private String schemeDescription;
    /**
     *禁用标记
     */
    private int forbiddenTag;
    /**
     *
     */
    private Long creator;
    /**
     *
     */
    private int deleteType;
    /**
     *
     */
    private Date createTime;
    /**
     *
     */
    private Date updateTime;

}
