package com.engine.organization.entity.extend.po;

import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;

import java.util.Date;

/**
 * @description: TODO
 * @author:dxfeng
 * @createTime: 2022/05/19
 * @version: 1.0
 */
@Data
@Builder
@AllArgsConstructor
@NoArgsConstructor
public class ExtendInfoPO {
    /**
     * 主键
     */
    private Long id;

    /**
     * 类型
     */
    private Integer extendType;

    /**
     * 表名
     */
    private String tableName;

    /**
     * 字段名
     */
    private String fieldName;

    /**
     * 字段中文名
     */
    private String fieldNameDesc;

    /**
     * 类型
     */
    private String fieldType;

    /**
     * 控件类型
     */
    private Integer controlType;

    /**
     * 分组主键
     */
    private Long extendGroupId;

    /**
     * 是否启用
     */
    private Integer isenable;

    /**
     * 是否必填
     */
    private Integer isrequired;

    /**
     * 列表显示
     */
    private Integer listShow;

    /**
     * 查询卡片显示
     */
    private Integer searchShow;

    /**
     * 修改显示
     */
    private Integer editShow;

    /**
     * 增加显示
     */
    private Integer addShow;

    /**
     * 浏览按钮显示
     */
    private Integer browserShow;

    /**
     * 显示顺序
     */
    private Integer showOrder;

    private Long creator;
    private int deleteType;
    private Date createTime;
    private Date updateTime;
}
