package com.engine.organization.entity.scheme.po;

import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;

import java.util.Date;

/**
 * @description: TODO
 * @author:dxfeng
 * @createTime: 2022/05/11
 * @version: 1.0
 */
@Data
@Builder
@NoArgsConstructor
@AllArgsConstructor
public class GradePO {
    /**
     * 主键
     */
    private long id;
    /**
     * 编号
     */
    private String gradeNo;
    /**
     * 名称
     */
    private String gradeName;
    /**
     * 描述说明
     */
    private String description;
    /**
     * 等级方案
     */
    private Long schemeId;
    /**
     * 职等
     */
    private String levelId;
    /**
     * 禁用标记
     */
    private int forbiddenTag;
    /**
     *
     */
    private Long creator;
    /**
     *
     */
    private int deleteType;
    /**
     *
     */
    private Date createTime;
    /**
     *
     */
    private Date updateTime;

}
